Subject: Re: Multiple remote.<...>.fetch and .push patterns

From: Jakub Narebski <[email-masked]>
Date: Tue, 01 Jul 2008 06:04:29 -0700 (PDT)

"Adr3nal D0S" <[email-masked]> writes:

> How can I do something like what is shown in Everyday git using git-config?
> 
> $ cat .git/remotes/ko
> URL: kernel.org:/pub/scm/git/git.git
> Pull: master:refs/tags/ko-master
> Pull: next:refs/tags/ko-next
> Pull: maint:refs/tags/ko-maint
> Push: master
> Push: next
> Push: +pu
> Push: maint
> 
> I know I can do:
> 
> git config remote.ko.fetch refs/heads/*:refs/tags/ko-*
> 
> but that will get all KO heads.  And I have no clue about the push version.

remote.<name>.fetch in config is equivalent of "Pull:" line in 
$GIT_DIR/remotes/<name>, while remote.<name>.push in config is
eqiovalent of "Push:" line in $GIT_DIR/remotes/<name>.

-- 
Jakub Narebski
Poland
ShadeHawk on #git